<!DOCTYPE html>
<html>
<head>
    <title>Bild-Diashow und Slideshow</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <style>
        #slideshow-container {
            width: 100%;
            max-width: auto; /* Ändere die maximale Breite nach Bedarf */
            margin: 0 auto;
            position: relative;
            overflow: hidden;
        }
        #slideshow, #diashow {
            width: 100%;
            height: 300px; /* Ändere die Höhe nach Bedarf */
            overflow: hidden;
            position: relative;
        }
        #slideshow img, #diashow img {
            width: 100%;
            height: 100%;
            object-fit: cover; /* Bilder in Box fix darstellen */
        }
        #thumbnails {
            //display: flex;
            justify-content: center;
            margin-top: 20px;
        }
        #thumbnails img {
            width: 100px;
            height: auto;
            margin: 0 5px;
            cursor: pointer;
        }
        .slideshow-controls {
            position: absolute;
            bottom: 10px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 999;
        }
    </style>
</head>
<body>

<div id="slideshow-container">
    <div id="slideshow">
        <div id="diashow"></div>
        <div class="slideshow-controls">
            <button id="prevBtn">Previous</button>
            <button id="nextBtn">Next</button>
        </div>
    </div>
</div>
<div id="thumbnails"></div>

<script>
    <?php
    $imageDir = "images/"; // Pfad zu Ihrem Bildverzeichnis
    $images = glob($imageDir . "*.{jpg,jpeg,png,gif}", GLOB_BRACE);
    ?>

    var images = <?php echo json_encode($images); ?>;

    // Display images in diashow
    var diashow = $("#diashow");
    var thumbnails = $("#thumbnails");

    images.forEach(function(image) {
        diashow.append("<img src='" + image + "'>");
        thumbnails.append("<img src='" + image + "'>");
    });

    // Implementing diashow
    var currentSlide = 0;
    function showSlide(index) {
        diashow.find("img").hide().eq(index).show();
    }

    showSlide(currentSlide);

    function nextSlide() {
        currentSlide = (currentSlide + 1) % images.length;
        showSlide(currentSlide);
    }

    function prevSlide() {
        currentSlide = (currentSlide - 1 + images.length) % images.length;
        showSlide(currentSlide);
    }

    $("#prevBtn").click(prevSlide);
    $("#nextBtn").click(nextSlide);

    // Implementing diashow thumbnails
    thumbnails.find("img").click(function() {
        var index = $(this).index();
        showSlide(index);
    });
</script>

</body>
</html>
